XQILLA(1)

NAME
xqilla - run XQuery and XPath 2 expressions

SYNOPSIS
xqilla [OPTION]... QUERY-FILE...

DESCRIPTION
Run XQuery and XPath 2 expressions from QUERY-FILE.

-h  Show help and exit

-p  Parse in XPath 2 mode (default is XQuery mode)

-P  Parse in XPath 1.0 compatibility mode (default is XQuery mode)

-s  Parse XSLT 2.0

-f  Parse using W3C Full-Text extensions

-u  Parse using W3C Update extensions

-e  Parse using XQilla specific extensions

-d  Run the query in interactive debugging mode

-x  Use the Xerces-C data model (default is the FastXDM)

-i file
    Load XML document and bind it as the context item

-b baseURI
    Set the base URI for the context

-v name value
    Bind the name value pair as an external variable

-o file
    Write the result to the specified file

-n number
    Run the queries a number of times

-q  Quiet mode - no output

-t  Output an XML representation of the AST

The xqilla command line tool can be used to run XQuery and XPath 2 expressions. It is also a good example of how to use the Simple API of the XQilla library.

REPORTING BUGS
Report bugs to <https://sourceforge.net/projects/xqilla/support>.

COPYRIGHT
Copyright © 2001-2008 DecisionSoft Limited.
Copyright © 2004-2008 Oracle.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <http://www.apache.org/licenses/LICENSE-2.0>

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

SEE ALSO
The full documentation for the XQilla library is available at <http://xqilla.sourceforge.net/Documentation>.